// CntrItem.h : interface of the CCntCntrItem class
//

#pragma once

class CCntDoc;
class CCntView;

class CCntCntrItem : public COleClientItem
{
	DECLARE_SERIAL(CCntCntrItem)

// Constructors
public:
	CCntCntrItem(CCntDoc* pContainer = NULL);
		// Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE
		//  IMPLEMENT_SERIALIZE requires the class have a constructor with
		//  zero arguments.  Normally, OLE items are constructed with a
		//  non-NULL document pointer

// Attributes
public:
	CCntDoc* GetDocument()
		{ return reinterpret_cast<CCntDoc*>(COleClientItem::GetDocument()); }
	CCntView* GetActiveView()
		{ return reinterpret_cast<CCntView*>(COleClientItem::GetActiveView()); }

	public:
	virtual void OnChange(OLE_NOTIFICATION wNotification, DWORD dwParam);
	virtual void OnActivate();
	protected:
	virtual void OnGetItemPosition(CRect& rPosition);
	virtual void OnDeactivateUI(BOOL bUndoable);
	virtual BOOL OnChangeItemPosition(const CRect& rectPos);

// Implementation
public:
	~CCntCntrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	virtual void Serialize(CArchive& ar);
};

